> For the complete documentation index, see [llms.txt](https://docs.oneweb.tech/oneweb/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oneweb.tech/oneweb/th/api/app-runtime-api.md).

# App Runtime API

App Runtime ได้จัดเตรียมรายการ REST API เพื่อให้ผู้ใช้จากระบบอื่นสามารถโต้ตอบกับเอนทิตีที่ถูกสร้างใน App Designer โดยใช้ REST ซึ่ง REST API ใน App Runtime นั้นสามารถจะใช้ในการ แทรก อัปเดต และลบ ค่าที่ถูกกำหนดของ  Entity ในฐานข้อมูลได้ ซึ่งในส่วนนี้จะให้ข้อมูลของแต่ละ method ที่ถููกสร้างโดย API โดย method นั้นสามารถเพิ่ม context root เพื่อเรียกใช้บริการได้&#x20;

<table data-header-hidden><thead><tr><th width="274.3333333333333"></th><th width="294.4985862393968"></th><th></th></tr></thead><tbody><tr><td>Request </td><td> Description </td><td>HTTP Method </td></tr><tr><td>1. /login </td><td>Login Process for get token id. </td><td> POST </td></tr><tr><td>2. /entity/{entityID}/search </td><td>Search Data in {entityID} by parameter in URL after running you will get data Json Format from {entityID}. </td><td> GET </td></tr><tr><td>3. /entity/{entityID}/get </td><td>Get Data Json Format from {entityID} after you pass parameter key in URL, you will get JSON data in all module of entity. </td><td> GET </td></tr><tr><td>4. /entity/{entityID}/save </td><td>Save Data JSON Body of {entityID} into Database.  </td><td> POST </td></tr><tr><td>5. /entity/{entityID}/delete </td><td>Delete Data in Database from key parameter.  </td><td> POST </td></tr><tr><td>6. /entities/save?mainEntityID={entityID} </td><td>Save Data JSON Body of {entityID} in Parent, Child Tab format into Database. </td><td> POST </td></tr><tr><td>7. /file/upload </td><td>Upload File into Server following configuration. </td><td> POST </td></tr><tr><td>8. /file/{id}/download </td><td>Download File From {id} which is uploaded from server. </td><td> GET </td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oneweb.tech/oneweb/th/api/app-runtime-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
